/********************************************************************************
*                                                                               *
*       D i r e c t o r y   I t e m   P r i v a t e   H e a d e r   F i l e     *
*                                                                               *
*********************************************************************************
* Copyright (C) 1998 by Jeroen van der Zijp.   All Rights Reserved.             *
*********************************************************************************
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Library General Public                   *
* License as published by the Free Software Foundation; either                  *
* version 2 of the License, or (at your option) any later version.              *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             *
* Library General Public License for more details.                              *
*                                                                               *
* You should have received a copy of the GNU Library General Public             *
* License along with this library; if not, write to the Free                    *
* Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.            *
*********************************************************************************
* $Id: FXDirItem.h,v 1.13 1999/01/06 07:00:00 jeroen Exp $                      *
********************************************************************************/
#ifndef FXDIRITEM_H
#define FXDIRITEM_H





// Icon item states
enum FXFileItemState {
  DIRITEM_CURRENT     = TREEITEM_CURRENT,   // Current item
  DIRITEM_SELECTED    = TREEITEM_SELECTED,  // Has been selected
  DIRITEM_HISTORY     = TREEITEM_HISTORY,   // Was selected
  DIRITEM_MARK        = TREEITEM_MARK,      // Marked selection state
  DIRITEM_OPEN        = TREEITEM_OPEN,      // Item is open
  DIRITEM_EXPANDED    = TREEITEM_EXPANDED,  // Item is expanded
  DIRITEM_HASITEMS    = TREEITEM_HASITEMS,  // Logically has subitems
  DIRITEM_DIRECTORY   = 128,                // Directory item
  DIRITEM_EXECUTABLE  = 256,                // Executable item
  DIRITEM_SYMLINK     = 512,                // Symbolic linked item
  DIRITEM_CHARDEV     = 1024,               // Character special item
  DIRITEM_BLOCKDEV    = 2048,               // Block special item
  DIRITEM_FIFO        = 4096,               // FIFO item
  DIRITEM_SOCK        = 8192                // Socket item
  };
     

struct FXDirItem : public FXTreeItem {
  FXDirItem *iprev;
  FXDirItem *inext;
  FXDirItem *list;
#ifndef WIN32
  long       date; 
#else
  FILETIME   date;
#endif
  };

#endif
