/********************************************************************************
*                                                                               *
*                             D r a w a b l e   A r e a                         *
*                                                                               *
*********************************************************************************
* Copyright (C) 1997 by Jeroen van der Zijp.   All Rights Reserved.             *
*********************************************************************************
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Library General Public                   *
* License as published by the Free Software Foundation; either                  *
* version 2 of the License, or (at your option) any later version.              *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             *
* Library General Public License for more details.                              *
*                                                                               *
* You should have received a copy of the GNU Library General Public             *
* License along with this library; if not, write to the Free                    *
* Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.            *
*********************************************************************************
* $Id: FXDrawable.h,v 1.12 1998/11/22 04:46:07 jeroen Exp $                     *
********************************************************************************/
#ifndef FXDRAWABLE_H
#define FXDRAWABLE_H


class FXImage;
class FXIcon;


class FXDrawable : public FXId {
  FXDECLARE(FXDrawable)
  friend class FXDC;
  friend class FXWDC;
protected:
  FXint width;
  FXint height;
  FXint depth;
protected:
  FXDrawable();
  FXDrawable(const FXDrawable&){}
  FXDrawable(FXApp* a,FXint w,FXint h,FXint d);
public:
  
  // Return device context
  virtual FXDC* DC() const;

  // Width of drawable
  FXint getWidth() const { return width; }

  // Height of drawable
  FXint getHeight() const { return height; }

  // Depth of drawable
  FXuint getDepth() const { return depth; }

  // Create drawable surface
  virtual void create();

  // Destroy drawable surface
  virtual void destroy();
  
  // Save object to stream
  virtual void save(FXStream& store) const;
  
  // Load object from stream
  virtual void load(FXStream& store);
  
  // Cleanup
  virtual ~FXDrawable();
  };
  
    
#endif
