/********************************************************************************
*                                                                               *
*                             D r a w a b l e   A r e a                         *
*                                                                               *
*********************************************************************************
* Copyright (C) 1997 by Jeroen van der Zijp.   All Rights Reserved.             *
*********************************************************************************
* Major Contributions for Windows NT by Lyle Johnson                            *
*********************************************************************************
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Library General Public                   *
* License as published by the Free Software Foundation; either                  *
* version 2 of the License, or (at your option) any later version.              *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             *
* Library General Public License for more details.                              *
*                                                                               *
* You should have received a copy of the GNU Library General Public             *
* License along with this library; if not, write to the Free                    *
* Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.            *
*********************************************************************************
* $Id: FXDrawable.cpp,v 1.23 1999/01/07 03:38:42 jeroen Exp $                   *
********************************************************************************/
#include "fxdefs.h"
#include "FXStream.h"
#include "FXString.h"
#include "FXObject.h"
#include "FXDict.h"
#include "FXRegistry.h"
#include "FXApp.h"
#include "FXId.h"
#include "FXDrawable.h"

/*
  Notes:
  
  - FXDrawable represents an abstract surface upon which one
    can draw using an FXDC.

*/


/*******************************************************************************/

// Object implementation
FXIMPLEMENT(FXDrawable,FXObject,NULL,0)


// For deserialization
FXDrawable::FXDrawable(){
  width=1;
  height=1;
  depth=0;
  }


// Initialize nicely
FXDrawable::FXDrawable(FXApp* a,FXint w,FXint h,FXint d):FXId(a,0){
  width=FXMAX(w,1);
  height=FXMAX(h,1);
  depth=d;
  }


// Return DC for this surface; the base class for drawables
// simply returns a null device context.
FXDC* FXDrawable::DC() const {
  return getApp()->nulldc;
  }


// Create drawable surface
void FXDrawable::create(){ }
 

// Destroy drawable surface
void FXDrawable::destroy(){ }


// Save data
void FXDrawable::save(FXStream& store) const {
  FXId::save(store);
  store << width;
  store << height;
  store << depth;
  }


// Load data
void FXDrawable::load(FXStream& store){ 
  FXId::load(store);
  store >> width;
  store >> height;
  store >> depth;   // Depth may be overridden by actual hardware limits
  }


// Clean up
FXDrawable::~FXDrawable(){
  xid=0;
  }
  

