/********************************************************************************
*                                                                               *
*     P r i n t e r   O u t p u t   D e v i c e   C o n t e x t   C l a s s     *
*                                                                               *
*********************************************************************************
* Copyright (C) 1998 by Jeroen van der Zijp.   All Rights Reserved.             *
*********************************************************************************
* Major Contributions for Windows NT by Lyle Johnson                            *
*********************************************************************************
* This library is free software; you can redistribute it and/or                 *
* modify it under the terms of the GNU Library General Public                   *
* License as published by the Free Software Foundation; either                  *
* version 2 of the License, or (at your option) any later version.              *
*                                                                               *
* This library is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             *
* Library General Public License for more details.                              *
*                                                                               *
* You should have received a copy of the GNU Library General Public             *
* License along with this library; if not, write to the Free                    *
* Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.            *
*********************************************************************************
* $Id: FXPDC.cpp,v 1.4 1999/01/08 17:28:04 jlj Exp $                         *
********************************************************************************/
#include "xincs.h"
#include "fxdefs.h"
#include "FXObject.h"
#include "FXStream.h"
#include "FXString.h"
#include "FXDict.h"
#include "FXRegistry.h"
#include "FXApp.h"
#include "FXId.h"
#include "FXDC.h"
#include "FXPDC.h"


/*
  Notes:
  
  - This print context generates PostScript(TM) output files.
  
*/


/*******************************************************************************/

// Object implementation
FXIMPLEMENT(FXPDC,FXDC,NULL,0)


// Initialize nicely
FXPDC::FXPDC(FXApp* a,FILE *file):FXDC(a){
  out=file;
  }


// Begin locks in a drawable surface
void FXPDC::begin(FXDrawable *){ 
  }


// End unlock the drawable surface 
void FXPDC::end(){ 
  }


// Generate print job prolog
FXbool FXPDC::beginPrint(){
  fprintf(out,"%%!PS-Adobe-3.0\n");
  fprintf(out,"%%%%Creator: FOX Application\n");
  fprintf(out,"%%%%EndComments\n");
  return TRUE; 
  }


// Generate print job epilog
FXbool FXPDC::endPrint(){ 
  fprintf(out,"%%%%Trailer\n");
  fprintf(out,"%%%%EOF\n");
  return TRUE; 
  }


// Generate begin of page
FXbool FXPDC::beginPage(FXuint page){ 
  fprintf(out,"%%%%Page: output %d\n",page);
  fprintf(out,"%%%%BeginPageSetup\n");
  fprintf(out,"%%%%EndPageSetup\n");
  return TRUE; 
  }


// Generate end of page
FXbool FXPDC::endPage(){ 
  fprintf(out,"%%%%PageTrailer\n");
  fprintf(out,"showpage\n");
  return TRUE; 
  }


// Draw a point in the current pen color
void FXPDC::drawPoint(FXint x,FXint y){ 
  }


// Draw points in the current pen color. 
// Each point's position is relative to the drawable's origin (as usual).
void FXPDC::drawPoints(const FXPoint* points,FXuint npoints){ 
  }


// Draw points in the current pen color. The first point's position is
// relative to the drawable's origin, but each subsequent point's position
// is relative to the previous point's position; each FXPoint defines
// the relative coordinates. Think LOGO.
void FXPDC::drawPointsRel(const FXPoint* points,FXuint npoints){ 
  }


// Draw a line
void FXPDC::drawLine(FXint x1,FXint y1,FXint x2,FXint y2){ 
  }



// Draw multiple lines. All points are drawn connected.
// Each point is specified relative to Drawable's origin.
void FXPDC::drawLines(const FXPoint* points,FXuint npoints){ 
  }



// Draw multiple lines. All points are drawn connected.
// First point's coordinate is relative to drawable's origin, but
// subsequent points' coordinates are relative to previous point.
void FXPDC::drawLinesRel(const FXPoint* points,FXuint npoints){ 
  }


// Draw unconnected line segments
void FXPDC::drawLineSegments(const FXSegment* segments,FXuint nsegments){ 
  }
 

// Draw unfilled rectangle
void FXPDC::drawRectangle(FXint x,FXint y,FXint w,FXint h){ 
  }


void FXPDC::drawRectangles(const FXRectangle* rectangles,FXuint nrectangles){ 
  }


// Draw arc
void FXPDC::drawArc(FXint x,FXint y,FXint w,FXint h,FXint ang1,FXint ang2){ 
  }


// Draw arcs
void FXPDC::drawArcs(const FXArc* arcs,FXuint narcs){ 
  }


// Filled rectangle
void FXPDC::fillRectangle(FXint x,FXint y,FXint w,FXint h){ 
  }


// Filled rectangles
void FXPDC::fillRectangles(const FXRectangle* rectangles,FXuint nrectangles){ 
  }


// Fill arc
void FXPDC::fillArc(FXint x,FXint y,FXint w,FXint h,FXint ang1,FXint ang2){ 
  }


// Fill arcs
void FXPDC::fillArcs(const FXArc* arcs,FXuint narcs){ 
  }


// Filled simple polygon
void FXPDC::fillPolygon(const FXPoint* points,FXuint npoints){ 
  }


// Fill concave polygon
void FXPDC::fillConcavePolygon(const FXPoint* points,FXuint npoints){ 
  }


// Fill complex (self-intersecting) polygon
void FXPDC::fillComplexPolygon(const FXPoint* points,FXuint npoints){ 
  }


// Filled simple polygon with relative points
void FXPDC::fillPolygonRel(const FXPoint* points,FXuint npoints){ 
  }


// Fill concave polygon
void FXPDC::fillConcavePolygonRel(const FXPoint* points,FXuint npoints){ 
  }


// Fill complex (self-intersecting) polygon
void FXPDC::fillComplexPolygonRel(const FXPoint* points,FXuint npoints){ 
  }


// Draw hashed box
void FXPDC::drawHashBox(FXint x,FXint y,FXint w,FXint h,FXint b){ 
  }


// Draw area from source
void FXPDC::drawArea(const FXDrawable* source,FXint sx,FXint sy,FXint sw,FXint sh,FXint dx,FXint dy){ 
  }


// Draw image
void FXPDC::drawImage(const FXImage* image,FXint dx,FXint dy){ 
  }


// Draw icon
void FXPDC::drawIcon(const FXIcon* icon,FXint dx,FXint dy){ 
  }


// Draw icon shaded
void FXPDC::drawIconShaded(const FXIcon* icon,FXint dx,FXint dy){ 
  }


// Draw string (only foreground bits)
void FXPDC::drawText(FXint x,FXint y,const FXchar* string,FXuint length){ 
  }


// Draw string (both foreground and background bits)
void FXPDC::drawImageText(FXint x,FXint y,const FXchar* string,FXuint length){ 
  }



// Set foreground drawing color (brush)
void FXPDC::setForeground(FXColor clr){ 
  fprintf(out,"%g %g %g setrgbcolor\n",0.0039215686*FXREDVAL(clr),0.0039215686*FXGREENVAL(clr),0.0039215686*FXBLUEVAL(clr));
  }


// Set background drawing color (brush)
void FXPDC::setBackground(FXColor clr){ 
  }


// Set dash pattern
void FXPDC::setDashes(FXuint dashoffset,const FXchar *dashlist,FXuint n){
  }


// Set line width  
void FXPDC::setLineWidth(FXuint linewidth){ 
  }


// Set line cap style
void FXPDC::setLineCap(FXCapStyle capstyle){ 
  }


// Set line join style
void FXPDC::setLineJoin(FXJoinStyle joinstyle){ 
  }


// Set line style
void FXPDC::setLineStyle(FXLineStyle linestyle){ 
  }


// Set fill style
void FXPDC::setFillStyle(FXFillStyle fillstyle){ 
  }
  
  
// Set fill rule
void FXPDC::setFillRule(FXFillRule fillrule){ 
  }


// Set blit function
void FXPDC::setFunction(FXFunction func){ 
  }


// Set tile image
void FXPDC::setTile(FXImage* tile,FXint dx,FXint dy){ 
  }


// Set stipple pattern
void FXPDC::setStipple(FXBitmap *stipple,FXint dx,FXint dy){ 
  }


// Set clip rectangle
void FXPDC::setClipRectangle(FXint x,FXint y,FXint w,FXint h){ 
  }
 

// Clear clipping
void FXPDC::clearClipRectangle(){ 
  }


// Set clip mask
void FXPDC::setClipMask(FXBitmap* mask,FXint dx,FXint dy){ 
  }


// Clear clip mask
void FXPDC::clearClipMask(){ 
  }
  

// Set font to draw text with
void FXPDC::setTextFont(FXFont *font){ 
  }


// Clean up
FXPDC::~FXPDC(){ 
  }
  

