/********************************************************************************
*                                                                               *
*                          Test Header Controls                                 *
*                                                                               *
*********************************************************************************
* Copyright (C) 1997 by Jeroen van der Zijp.   All Rights Reserved.             *
*********************************************************************************
* $Id: header.cpp,v 1.8 1998/12/12 05:19:20 jeroen Exp $                         *
********************************************************************************/
#include "fx.h"
#include <stdio.h>
#include <stdlib.h>


#define ID_RADIO1    100
#define ID_RADIO2    101
#define ID_RADIO3    102


/* Generated by reswrap from file minidoc.gif */
const unsigned char minidoc[]={
  0x47,0x49,0x46,0x38,0x37,0x61,0x10,0x00,0x10,0x00,0xf2,0x00,0x00,0xbf,0xbf,0xbf,
  0x80,0x80,0x80,0xff,0xff,0xff,0xc0,0xc0,0xc0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
  0x00,0x00,0x00,0x00,0x00,0x2c,0x00,0x00,0x00,0x00,0x10,0x00,0x10,0x00,0x00,0x03,
  0x36,0x08,0x10,0xdc,0xae,0x70,0x89,0x49,0xe7,0x08,0x51,0x56,0x3a,0x04,0x86,0xc1,
  0x46,0x11,0x24,0x01,0x8a,0xd5,0x60,0x2a,0x21,0x6a,0xad,0x9a,0xab,0x9e,0xae,0x30,
  0xb3,0xb5,0x0d,0xb7,0xf2,0x9e,0xdf,0x31,0x14,0x90,0x27,0xf4,0xd5,0x86,0x83,0xa4,
  0x72,0x09,0x2c,0x39,0x9f,0xa6,0x04,0x00,0x3b
  };



/*******************************************************************************/


// Mini application object
class FXHeaderApp : public FXApp {
  FXDECLARE(FXHeaderApp)
public:
  enum {
    ID_ABOUT=FXApp::ID_LAST,
    ID_LAST
  };

  long onQuit(FXObject*,FXSelector,void*);
  long onCmdAbout(FXObject*,FXSelector,void*);
protected:
  FXMainWindow*      mainwindow;
  FXMenuBar*         menubar;
  FXMenuPane*        filemenu;
  FXMenuPane*        helpmenu;
  FXHorizontalFrame* contents;
  FXHeader*          header;
  FXGIFIcon*         doc;
public:
  FXHeaderApp();
  void create();
  };


  
/*******************************************************************************/
  
// Map
FXDEFMAP(FXHeaderApp) FXHeaderAppMap[]={
  FXMAPFUNC(SEL_COMMAND,  FXApp::ID_QUIT,              FXHeaderApp::onQuit),
  FXMAPFUNC(SEL_COMMAND,  FXHeaderApp::ID_ABOUT,             FXHeaderApp::onCmdAbout),
  };


// Object implementation
FXIMPLEMENT(FXHeaderApp,FXApp,FXHeaderAppMap,ARRAYNUMBER(FXHeaderAppMap))


// Make some windows
FXHeaderApp::FXHeaderApp():FXApp("Header","Test"){
  
  // Make main window
  mainwindow=new FXMainWindow(this,"Header Control Test",NULL,NULL,DECOR_ALL,0,0,800,600);
  
  // Make menu bar
  menubar=new FXMenuBar(mainwindow,LAYOUT_SIDE_TOP|LAYOUT_FILL_X);
  
  new FXStatusbar(mainwindow,LAYOUT_SIDE_BOTTOM|LAYOUT_FILL_X);
  
  filemenu=new FXMenuPane(this);
  new FXMenuCommand(filemenu,"Quit",NULL,this,ID_QUIT,MENU_DEFAULT);
  new FXMenuTitle(menubar,"File",NULL,filemenu);
  helpmenu=new FXMenuPane(this);
  new FXMenuCommand(helpmenu,"About FOX...",NULL,this,ID_ABOUT,0);
  new FXMenuTitle(menubar,"Help",NULL,helpmenu,LAYOUT_RIGHT);

  // Make Main Window contents
  contents=new FXHorizontalFrame(mainwindow,LAYOUT_SIDE_TOP|LAYOUT_FILL_X|LAYOUT_FILL_Y);
  
  // Make header control
  header=new FXHeader(contents,NULL,0,FRAME_RAISED|LAYOUT_FILL_X);
  
  // Document icon
  doc=new FXGIFIcon(this,minidoc);
  
  header->addItemLast("Name",doc,50);
  header->addItemLast("Type",NULL,50);
  header->addItemLast("Modified Date",doc,50);
  header->addItemLast("Attributes",NULL,50);
 
  }
  

// Handle quitting
long FXHeaderApp::onQuit(FXObject*,FXSelector,void*){
  exit(0);
  return 1;
  }


// About
long FXHeaderApp::onCmdAbout(FXObject*,FXSelector,void*){
  showModalInformationBox(MBOX_OK,"About FOX","FOX is a really, really cool C++ library!");
  return 1;
  }


// Start
void FXHeaderApp::create(){
  FXApp::create();
  mainwindow->show();
  }


/*******************************************************************************/


// Start the whole thing
int main(int argc,char *argv[]){

  // Make application
  FXHeaderApp* application=new FXHeaderApp;
    
  // Initialize application and open display;
  // FOX will parse some parameters, and leave the remaining
  // ones for the main application.
  application->init(argc,argv);
  
  // Create all the windows.
  application->create();
  
  // Run the application
  application->run();
  }


