/********************************************************************************
*                                                                               *
*                                 Test Switcher                                 *
*                                                                               *
*********************************************************************************
* Copyright (C) 1997 by Jeroen van der Zijp.   All Rights Reserved.             *
*********************************************************************************
* $Id: switcher.cpp,v 1.3 1998/12/12 05:19:21 jeroen Exp $                        *
********************************************************************************/
#include "fx.h"
#include "FXDebugTarget.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>



  
  
/*******************************************************************************/


// Mini application object
class SwitcherApp : public FXApp {
  FXDECLARE(SwitcherApp)
protected:
    
  // Member data
  FXMainWindow*      mainwindow;
  FXTooltip*         tooltip;
  FXMenuBar*         menubar;
  FXMenuPane*        filemenu;
  FXHorizontalFrame* contents;
  FXVerticalFrame*   buttons;
  FXSwitcher*        switcher;
  FXList*            simplelist;   
  FXFileList*        filelist;
  FXDirList*         dirlist;
public:
  SwitcherApp();
  void create();
  };


/*******************************************************************************/
  

// SwitcherApp implementation
FXIMPLEMENT(SwitcherApp,FXApp,NULL,0)

  
  
/*******************************************************************************/

  
// Make some windows
SwitcherApp::SwitcherApp():FXApp("Switcher","Test"){

  // Main Window
  mainwindow=new FXMainWindow(this,"Switcher Test",NULL,NULL,DECOR_ALL,0,0,600,400);
  
  // Tooltip
  tooltip=new FXTooltip(this);
  
  // Menubar
  menubar=new FXMenuBar(mainwindow,LAYOUT_SIDE_TOP|LAYOUT_FILL_X);
  
  // Separator
  new FXHorizontalSeparator(mainwindow,LAYOUT_SIDE_TOP|LAYOUT_FILL_X|SEPARATOR_GROOVE);

  // Contents
  contents=new FXHorizontalFrame(mainwindow,LAYOUT_SIDE_TOP|FRAME_NONE|LAYOUT_FILL_X|LAYOUT_FILL_Y|PACK_UNIFORM_WIDTH);

  // Buttons
  buttons=new FXVerticalFrame(contents,LAYOUT_FILL_Y|LAYOUT_LEFT|PACK_UNIFORM_WIDTH);
  
  // Switcher
  switcher=new FXSwitcher(contents,LAYOUT_FILL_X|LAYOUT_FILL_Y|LAYOUT_RIGHT|FRAME_THICK|FRAME_RAISED);
  
  // First item in switcher is a list
  simplelist=new FXList(switcher,NULL,0,LIST_EXTENDEDSELECT);
  simplelist->addItemLast("First Entry");
  simplelist->addItemLast("Second Entry");
  simplelist->addItemLast("Third Entry");
  simplelist->addItemLast("Fourth Entry");
    
  // Second item is a file list
  filelist=new FXFileList(switcher,NULL,0,ICONLIST_EXTENDEDSELECT);
  
  // Third item is a directory list
  dirlist=new FXDirList(switcher,NULL,0,TREELIST_SHOWS_LINES|TREELIST_SHOWS_BOXES);
  
  // Add buttons
  new FXLabel(buttons,"These buttons below\nare connected to the\nFXSwitcher Control.\nSo they are checked\nautomatically depending\non the active page\nof the switcher.",NULL,LAYOUT_FILL_Y|JUSTIFY_LEFT|JUSTIFY_TOP);
  new FXButton(buttons,"&Simple List\tMake Switcher go to list",NULL,switcher,FXSwitcher::ID_OPEN_FIRST+0,FRAME_THICK|FRAME_RAISED);
  new FXButton(buttons,"&File List\tMake Switcher go to files",NULL,switcher,FXSwitcher::ID_OPEN_FIRST+1,FRAME_THICK|FRAME_RAISED);
  new FXButton(buttons,"&Tree List\tMake Switcher go to tree",NULL,switcher,FXSwitcher::ID_OPEN_FIRST+2,FRAME_THICK|FRAME_RAISED);
  
  // File Menu
  filemenu=new FXMenuPane(this);
  new FXMenuCommand(filemenu,"&Simple List",NULL,switcher,FXSwitcher::ID_OPEN_FIRST+0);
  new FXMenuCommand(filemenu,"&File List",NULL,switcher,FXSwitcher::ID_OPEN_FIRST+1);
  new FXMenuCommand(filemenu,"&Tree List",NULL,switcher,FXSwitcher::ID_OPEN_FIRST+2);
  new FXMenuCommand(filemenu,"&Quit",NULL,this,ID_QUIT,0);
  new FXMenuTitle(menubar,"&File",NULL,filemenu);
  }
  

// Start
void SwitcherApp::create(){
  FXApp::create();
  mainwindow->show();
  }


/*******************************************************************************/


// Start the whole thing
int main(int argc,char *argv[]){

  // Make application
  SwitcherApp* application=new SwitcherApp;
  
  // Open display
  application->init(argc,argv);
  
  // Create app
  application->create();
  
  // Run
  application->run();
  }


